1. Whitelist Management
TrustPay
en
  • en
  • zh
  • Integration Guide
  • Signature Calculation
  • Payment Gateway
    • Risk Control – Merchant Integration
    • Enums
    • Payment Callback Specification
    • C21 Suport Regions
      • TrustPay Supported Billing Countries and US/Canada Regions
    • Whitelist Management
      • Add Card Whitelists
        POST
      • Query Card Whitelists
        POST
      • Query Card Whitelists Task
        POST
    • Card Direct Payin
      POST
    • Cashier Payin
      POST
    • Order Refund
      POST
    • Payment Callback
      POST
    • Balance
      POST
    • Order Query
      POST
    • Fee Query
      POST
    • Refund Query
      POST
  • Dispute Management
    • Dispute Enums
    • Dispute Alert
    • Dispute Alert Callback
    • Dispute Prevention (RDR)
    • Dispute Management(Chargeback)
    • Chargeback Callback
  • Credit Card Issuer
    • Available Card
      POST
    • Open Card
      POST
    • Open/Recharge Card Callback
      POST
    • Get Card Detail
      POST
    • Card Recharge
      POST
    • Order List
      POST
    • Card List
      POST
    • Transaction List
      POST
    • Fee Query
      POST
  • Physical Card Issuer
    • Create Cardholder
    • List Cardholders
    • Assign Physical Cards
    • List Assigned Physical Cards
    • Query Card Balance
    • Query Card Transactions
    • Query Account
    • Card Charge
  • Schemas
    • VCardDetail
    • VOrderDetail
  1. Whitelist Management

Query Card Whitelists Task

POST
/v4/risk/card-whitelists/import-tasks

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.trustpay.money/v4/risk/card-whitelists/import-tasks' \
--header 'Content-Type: application/json' \
--data '{
    "task_id": "b4eae236-4385-4a9b-aeab-d4ae13055ecd",
    "sign": ""
}'
Response Response Example
{
    "code": 880001,
    "message": "success",
    "data": {
        "task_id": "b4eae236-4385-4a9b-aeab-d4ae13055ecd",
        "status": "success",
        "filename": "card_test.xlsx",
        "total": 600005,
        "added": 1000,
        "rejected": 299000,
        "daily_limit": 1000
    }
}
Modified at 2026-08-28 08:32:29
Previous
Query Card Whitelists
Next
Card Direct Payin
Built with